Subject: Kill Mullberry

From: [email-masked] (Jeffrose10)
Date: 30 Jun 1996 20:49:36 -0400

Use half recomended rate of Roundup every 5-10 days soak follage well, use
spreader-sticker in the tank. Keep at it as long as there is leaves on the
tree, the half rate seems to translocate well. Spray at dusk to slow down
drying.